maxtab
Prev | Orchestra Opcodes and Operators | Next

## maxtab

maxtab — returns the maximum value in a vector.

## Description

The maxtab opcode returns the maximum value in a vector.

## Syntax

    kmax maxtab tab

## Performance

kmax -- variable for result.

tab -- table for reading.

## Examples

Here is an example of the maxtab opcode. It uses the file maxtab.csd.

Example 443. Example of the maxtab opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsInstruments>

    instr 1
      t1 init 10
      t1[3] = 42
      k1 maxtab t1
      printk2 k1
    endin
    </CsInstruments>
    <CsScore>
    i1 0 0.1
    e
    </CsScore>
    </CsoundSynthesizer>

## See Also

plustab, multtab, mintab, sumtab, scalet,

## Credits

Author: John ffitch
October 2011

New in Csound version 5.14

Prev | Up | Next
max_k | Home | mclock